openvasd_param Struct Reference

Struct holding options for openvasd parameters. More...

## Data Fields

gchar * | id
gchar * | name
gchar * | defval
gchar * | description
gchar * | type
int | mandatory

## Detailed Description

Struct holding options for openvasd parameters.

## Field Documentation

## defval

gchar* openvasd_param::defval

Default value.

## description

gchar* openvasd_param::description

Description.

## id

gchar* openvasd_param::id

Parameter id.

## mandatory

int openvasd_param::mandatory

If mandatory.

## name

gchar* openvasd_param::name

Parameter name.

## type

gchar* openvasd_param::type

Parameter type.

The documentation for this struct was generated from the following file:

- openvasd/openvasd.c